<?php
// ajouter le logo de site
add_theme_support( 'custom-logo' );

// ajouter les images à la une
// et les formats d'image nécessaires au thème
add_theme_support( 'post-thumbnails' );
add_image_size( 'vignette', 400, 600, true );
add_image_size( 'vignette jumbo', 1200, 600, true );

// ajouter un menu
register_nav_menu( 'menu-principal', "Menu principal" );

// ajouter la possibilité de changer la couleur ou image de fond
add_theme_support( 'custom-background' );

// ajouter la librairie jquery contenue dans le cms
function hireme_enqueue_scripts() {
    wp_enqueue_script( 'jquery' );
}
add_action( 'wp_enqueue_scripts', 'hireme_enqueue_scripts' );

// scette fonction permet de splitter le texte avec le fameux tag "more"
// pour plus de split, utiliser le script https://gist.github.com/mattberridge/4202188
function split_content() {
    global $more;
    $more = true;
    $content = preg_split('/<span id="more-\d+"><\/span>/i', get_the_content('more'));
    // first content section in column1
    $ret = '<div id="column1" class="column1">'. array_shift($content). '</div>';
    // remaining content sections in column2
    if (!empty($content)) $ret .= '<div id="column2" class="column2">'. implode($content). '</div>';
    return apply_filters('the_content', $ret);
}


// transformer le menu de base de wordpress
// en un menu pour bootstrap
if ( ! class_exists( 'wp_bootstrap_navwalker' )) {
    require_once(get_template_directory() . '/inc/wp_bootstrap_navwalker.php');
}

/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
add_theme_support( 'html5', array(
    'comment-form',
    'comment-list',
    'gallery',
    'caption',
) );
?>